package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.DispositivoEmbarcada;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.FormaPagoDet;
import com.rjconsultores.ventaboletos.entidad.PtoVtaSeguro;
import com.rjconsultores.ventaboletos.entidad.PtovtaCatInd;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

public interface DispositivoEmbarcadaDAO  extends GenericDAO<DispositivoEmbarcada, Long> {

    public DispositivoEmbarcada buscarVersaoUltimaSinc(String versaoUltimaSinc);
    public DispositivoEmbarcada buscarDispositivoPorId(DispositivoEmbarcada dispositivoEmbarcada);
    public DispositivoEmbarcada suscribirActualizar(DispositivoEmbarcada dispositivoEmbarcada);
    public DispositivoEmbarcada buscarImei(String imei);
    public DispositivoEmbarcada buscarImeiDuplicado(String imei);
    public List<DispositivoEmbarcada> buscarPorEmpresaPuntoVenta(Empresa empresa, PuntoVenta puntoventa);
    
    public List<DispositivoEmbarcada> buscarTodos();
    public List<String> buscarAllVersaoUltimaSinc();
    
    public List<FormaPagoDet> getListaFormaPago(Integer puntoventaId);
	public List<PtoVtaSeguro> getListaSeguroTaxaEmbarque(Integer puntoventaId);
	public List<PtovtaCatInd> getListaTiposPassagensBloqueadas(Integer puntoventaId);
    
}
